Pulse
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all engagement survey responses
Returns a list of engagement survey responses
Returns a list of engagement survey responses
Query Parameters
survey_ids?array<>
Filter by engagement survey IDs
user_ids?array<>
Filter by employee IDs
fields?array<string>
Employee custom field internal names to include
Items
items <= 10created_at[gte]?string
Created at greater than or equal to
Format
date-timecreated_at[lte]?string
Created at less than or equal to
Format
date-timeupdated_at[gte]?string
Updated at greater than or equal to
Format
date-timeupdated_at[lte]?string
Updated at less than or equal to
Format
date-timepage?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0Response Body
application/json
curl -X GET "https://example.com/api/v4/pulse/engagement_survey_responses"{ "data": [ { "id": 0, "survey_id": 0, "user_id": 0, "anonymous": true, "position": { "id": 0, "name": "string" }, "location": { "id": 0, "name": "string" }, "division": { "id": 0, "name": "string" }, "department": { "id": 0, "name": "string" }, "work_type": { "id": 0, "name": "string" }, "gender": { "id": 0, "name": "string" }, "age": "string", "tenure": "string", "fields": {}, "status": "string", "finished_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "answers": [ { "question": {}, "value": "string", "comment": "string" } ] } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}